Package com.saxonica.ee.schema.fsa

## Class Edge.MaxOccursParticle

- java.lang.Object
- - com.saxonica.ee.schema.SchemaStructure
  - - com.saxonica.ee.schema.SimpleComponentReference
    - - com.saxonica.ee.schema.Particle
      - - com.saxonica.ee.schema.ModelGroupParticle
        - - com.saxonica.ee.schema.fsa.Edge.MaxOccursParticle

- All Implemented Interfaces:
    `ComponentReference`, `UserSchemaComponent`, `javax.xml.transform.SourceLocator`, `Location`, `SchemaComponent`, `org.xml.sax.Locator`
  Enclosing class:
    Edge

      public static class Edge.MaxOccursParticle
      extends ModelGroupParticle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.sf.saxon.type.SchemaComponent

      `SchemaComponent.ValidationStatus`

  - ### Field Summary

    - ### Fields inherited from class com.saxonica.ee.schema.Particle

      `UNBOUNDED`

    - ### Fields inherited from class com.saxonica.ee.schema.SimpleComponentReference

      `symbolSpace, target`

    - ### Fields inherited from interface net.sf.saxon.type.SchemaComponent

      `COMPONENT_FUNCTION_TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Edge.MaxOccursParticle` | `getInstance()` |
    `Term` | `getTerm()` | Get the term corresponding to this particle

    - ### Methods inherited from class com.saxonica.ee.schema.ModelGroupParticle

      `compile, containsElementWildcard, elaborate, fixup, gatherAllPermittedElements, getElementParticleCardinality, getElementParticleType, getGroup, getSymbolSpace, getTarget, isEmptiable, isPointless, isResolved, lookForCycles, markVulnerableSubParticles, serializeParticle, tryToResolve, validate`

    - ### Methods inherited from class com.saxonica.ee.schema.Particle

      `computeParticleCardinality, getComponentAsFunction, getMaxOccurs, getMinOccurs, isVulnerable, setMaxOccurs, setMinOccurs, setVulnerable`

    - ### Methods inherited from class com.saxonica.ee.schema.SimpleComponentReference

      `getTargetComponentName, getTargetFingerprint, isDangling, setTarget, setTargetComponentName`

    - ### Methods inherited from class com.saxonica.ee.schema.SchemaStructure

      `getColumnNumber, getConfiguration, getFixupStatus, getGeneratedId, getLineNumber, getPublicId, getRedefinitionLevel, getSchemaDocumentURI, getSystemId, getValidationStatus, hasSameLocation, isValidationNeeded, makeXPathExpressionPropertyRecord, saveLocation, setConfiguration, setFixupStatus, setGeneratedId, setLineNumber, setLocator, setRedefinitionLevel, setSchemaDocumentURI, setSystemId, setValidationStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.saxonica.ee.schema.ComponentReference

      `getConfiguration`

    - ### Methods inherited from interface net.sf.saxon.s9api.Location

      `getColumnNumber, getLineNumber, getPublicId, getSystemId, saveLocation`

    - ### Methods inherited from interface net.sf.saxon.type.SchemaComponent

      `getRedefinitionLevel, getValidationStatus`

- - ### Method Detail

    - #### getInstance

          public static Edge.MaxOccursParticle getInstance()

    - #### getTerm

          public Term getTerm()

      Description copied from class: `ModelGroupParticle`
      Get the term corresponding to this particle
      Overrides:
        `getTerm` in class `ModelGroupParticle`
      Returns:
        the corresponding term